Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.feature
Class PrettyLoggingFeature

    java.lang.Object
      org.apache.cxf.feature.AbstractFeature
          org.apache.cxf.feature.LoggingFeature
              org.mule.module.cxf.feature.PrettyLoggingFeature

    public class PrettyLoggingFeature

extends org.apache.cxf.feature.LoggingFeature

Same as the standard CXF LoggingFeature, but with pretty-printed XML for the message payload.

Constructor Summary
`PrettyLoggingFeature()`

Method Summary
`protected static String` | `formatXmlPayload(String originalLogString)` Takes the log output from the standard CXF LoggingInterceptor, disassembles it, pretty-prints the XML payload, then puts it all back together again.
`protected void` | `initializeProvider(org.apache.cxf.interceptor.InterceptorProvider provider, org.apache.cxf.Bus bus)`

Methods inherited from class org.apache.cxf.feature.LoggingFeature
`getLimit, setLimit`

Methods inherited from class org.apache.cxf.feature.AbstractFeature
`getActive, initialize, initialize, initialize, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrettyLoggingFeature

    public PrettyLoggingFeature()

Method Detail

### initializeProvider

    protected void initializeProvider(org.apache.cxf.interceptor.InterceptorProvider provider,
                                      org.apache.cxf.Bus bus)

  Overrides:
    `initializeProvider` in class `org.apache.cxf.feature.LoggingFeature`

### formatXmlPayload

    protected static String formatXmlPayload(String originalLogString)

  Takes the log output from the standard CXF LoggingInterceptor, disassembles it, pretty-prints the XML payload, then puts it all back together again.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.